### Hierarchy

- AbstractUIMenuPanel
  - UIMenuStatisticsPanel

## Index

### Constructors

- constructor

### Properties

- _divider
- _items
- background
- enabled
- id
- parentItem

### Accessors

- Divider
- Enabled
- Height
- Items
- ParentItem
- ParentMenu

### Methods

- addItem
- draw
- removeItem
- setVerticalPosition

## Constructors

### constructor

- new UIMenuStatisticsPanel(item?: UIMenuStatisticsPanelItem | UIMenuStatisticsPanelItem[], divider?: boolean): UIMenuStatisticsPanel

- Overrides AbstractUIMenuPanel.constructor

  - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:11

  #### Parameters

  - ##### Optional item: UIMenuStatisticsPanelItem | UIMenuStatisticsPanelItem[]

  - ##### divider: boolean = true

  #### Returns UIMenuStatisticsPanel

## Properties

### Private _divider

_divider: boolean = true

- Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:8

### Private _items

_items: UIMenuStatisticsPanelItem[] = []

- Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:9

### Protected Readonly background

background: Rectangle

Overrides AbstractUIMenuPanel.background

- Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:6

### Protected enabled

enabled: boolean = true

Inherited from AbstractUIMenuPanel.enabled

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:10

### Readonly id

id: string = ...

Inherited from AbstractUIMenuPanel.id

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:7

### Protected parentItem

parentItem: undefined | UIMenuItem

Inherited from AbstractUIMenuPanel.parentItem

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:9

## Accessors

### Divider

- get Divider(): boolean
- set Divider(value: boolean): void

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:20

  #### Returns boolean

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:24

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Enabled

- get Enabled(): boolean
- set Enabled(value: boolean): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:26

  #### Returns boolean

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:30

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Height

- get Height(): number

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:34

  #### Returns number

### Items

- get Items(): UIMenuStatisticsPanelItem[]
- set Items(value: UIMenuStatisticsPanelItem[]): void

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:28

  #### Returns UIMenuStatisticsPanelItem[]

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:32

  #### Parameters

  - ##### value: UIMenuStatisticsPanelItem[]

  #### Returns void

### ParentItem

- get ParentItem(): undefined | UIMenuItem
- set ParentItem(value: undefined | UIMenuItem): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:18

  #### Returns undefined | UIMenuItem

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:22

  #### Parameters

  - ##### value: undefined | UIMenuItem

  #### Returns void

### ParentMenu

- get ParentMenu(): undefined | Menu

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:14

  #### Returns undefined | Menu

## Methods

### addItem

- addItem(item: UIMenuStatisticsPanelItem | UIMenuStatisticsPanelItem[]): void

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:36

  #### Parameters

  - ##### item: UIMenuStatisticsPanelItem | UIMenuStatisticsPanelItem[]

  #### Returns void

### draw

- draw(): void

- Overrides AbstractUIMenuPanel.draw

  - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:65

  #### Returns void

### removeItem

- removeItem(itemOrIndex: number | UIMenuStatisticsPanelItem): void

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:41

  #### Parameters

  - ##### itemOrIndex: number | UIMenuStatisticsPanelItem

  #### Returns void

### setVerticalPosition

- setVerticalPosition(y: number): void

- Overrides AbstractUIMenuPanel.setVerticalPosition

  - Defined in ui/menu/items/panels/UIMenuStatisticsPanel.ts:49

  #### Parameters

  - ##### y: number

  #### Returns void

Generated using TypeDoc